Bug 830309 - Add ssh_url to application REST object so that clients don't need to make it up
Add ssh_url to application REST object so that clients don't need to make it up
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 16:00 EDT by Clayton Coleman
Modified: 2015-05-14 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-08 16:00:38 EDT
Two stories this sprint need the SSH URL.  We can currently get it by parsing the git_url on application and then returinng userinfo, host, and port, but this is potentially broken in the future if those URLs change meaning (if we switch to git protocol urls).

Add "ssh_url" to application.  Fairly important for US2339 and US2276, please prioritize accordingly.
Comment 1 Clayton Coleman 2012-06-08 16:07:44 EDT
To clarify - ssh://<userid>@<host>[:<port>] is what i was looking for - the client can be responsible for transcribing the URI into command line format if necessary.
Comment 2 Abhishek Gupta 2012-06-15 21:58:30 EDT
Fixed and waiting for merge
https://github.com/openshift/crankcase/pull/136
Comment 3 Xiaoli Tian 2012-06-19 07:11:42 EDT
Verified it on devenv_1857,ssh_url is listed 
curl -k -H "Accept: application/json" --user "xtian+b101@redhat.com:123456"  https://localhost/broker/rest/domains/domainbill004/applications/phpapp0/

...............
{
    "domain_id": "domainbill004",
    "git_url": "ssh://f21b3c7c0da74022815e8fa6dd3783e7@phpapp0-domainbill004.dev.rhcloud.com/~/git/phpapp0.git/",
    "uuid": "f21b3c7c0da74022815e8fa6dd3783e7",
    "scale_min": 1,
    "ssh_url": "ssh://f21b3c7c0da74022815e8fa6dd3783e7@phpapp0-domainbill004.dev.rhcloud.com",
    "health_check_path": "health_check.php"
  },

Note You need to log in before you can comment on or make changes to this bug.